Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.Checkpoint Method
DatabaseEnvironment Class See Also Send Feedback

Flush the underlying memory pool, write a checkpoint record to the log, and then flush the log, even if there has been no activity since the last checkpoint.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void Checkpoint()

Visual Basic (Declaration)
    Public Sub Checkpoint

Visual C++
    public:
    void Checkpoint()

# See Also

DatabaseEnvironment Class
Checkpoint Overload
BerkeleyDB Namespace